/*

Juha Niinikoski 08.12.2004

Key Code to note divider concersion
Morse key added 11.12.2004

*/



// Input PC/AT keyboard scan code, Output = Timer constant for note


unsigned int key_to_note(char key_code)
	{
	switch (key_code)
		{
		case 0x12:	// Lshift = HH
		return(HH);
		break;

		case 0x61:	// > = C
		return(C);
		break;

		case 0x1A:	// Z = D
		return(D);
		break;

		case 0x22:	// X = E
		return(E);
		break;

		case 0x21:	// C = F
		return(F);
		break;

		case 0x2A:	// V = G
		return(G);
		break;

		case 0x32:	// B = A
		return(A);
		break;

		case 0x31:	// N = H
		return(H);
		break;

		case 0x3A:	// M = c
		return(c);
		break;

		case 0x41:	// ; = d
		return(d);
		break;

		case 0x49:	// : = e
		return(e);
		break;

		case 0x4A:	// - = f
		return(f);
		break;

		case 0x59:	// Rshift = g
		return(g);
		break;
//
		case 0x1C:	// A = C#
		return(C1);
		break;

		case 0x1B:	// S = D#
		return(D1);
		break;

		case 0x2B:	// F = F#
		return(F1);
		break;

		case 0x34:	// G = G#
		return(G1);
		break;

		case 0x33:	// H = A#
		return(A1);
		break;

		case 0x42:	// K = c#
		return(c1);
		break;

		case 0x4B:	// L = d#
		return(d1);
		break;

		case 0x52:	//   = f#
		return(f1);
		break;

		case 0x5D:	// * = g#
		return(g1);
		break;

		case 0x5A:
		return(a1);	// ret = a#
		break;

		case 0x70:	// Morse key
		return(kHz);	// ret = 1 kHz
		break;

		default:
		return 0;	// no match
		}
	}

